Skip to main content
POST
/
v1
/
workflows
/
edges
/
versions
/
{edge_version_id}
/
restore
Restore Edge Version
curl --request POST \
  --url https://api.retab.com/v1/workflows/edges/versions/{edge_version_id}/restore \
  --header 'Api-Key: <api-key>'
{
  "id": "<string>",
  "workflow_id": "<string>",
  "source_block": "<string>",
  "target_block": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "source_handle": "<string>",
  "target_handle": "<string>"
}
Restore a workflow edge version into the current workflow draft.
Python
edge_version_id = "egv_abc123"
print(edge_version_id)
TypeScript
const edgeVersionId = "egv_abc123";
console.log(edgeVersionId);
Go
edgeVersionID := "egv_abc123"
_ = edgeVersionID
Java
String edgeVersionId = "egv_abc123";
System.out.println(edgeVersionId);
cURL
curl -X POST "https://api.retab.com/v1/workflows/edges/versions/egv_abc123/restore?workflow_id=wf_abc123" \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

edge_version_id
string
required

Response

Successful Response

Public live workflow edge object.

id
string
required
workflow_id
string
required

Foreign key to workflow

source_block
string
required

ID of the source block

target_block
string
required

ID of the target block

updated_at
string<date-time>
required
source_handle
string | null

Output handle on source block

target_handle
string | null

Input handle on target block